Enterprise Applications - Recommended Java Version

What version of Java do I need to run Banner Forms or other enterprise applications?

Recommended version = Java 8*

*Current versions of Java 8 (versions 172 and version 171; released April 17, 2018) have been having issues with keyboard navigation in Banner Forms.
AITS recommends installing with Java 8 Version 172.

Java 8 is currently recommended for use with AITS enterprise applications*. 

A full list of our applications and their Java requirements can be found on our system requirements page.

See Also:




Keywords:AITS, java, jre, ics, prodagio, travel expense management, sitescope, appworx, uc4, intellicheck, evisions, documentdirect, viewdirect, eddie   Doc ID:35918
Owner:John C.Group:University of Illinois System
Created:2013-12-10 15:21 CDTUpdated:2018-05-10 13:35 CDT
Sites:University of Illinois System
Feedback:  0   0